petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscInfoSetFile

Sets the printing destination for all PetscInfo() calls

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoSetFile(const char filename[], const char mode[])

Not Collective

### Input Parameter

| filename | - Name of the file where PetscInfo() will print to
| mode | - Write mode passed to PetscFOpen()

### Notes

Use filename=NULL to set PetscInfo() to write to PETSC_STDOUT.

### See Also

PetscInfo(), PetscInfoSetFile(), PetscInfoSetFromOptions(), PetscFOpen()

### Level

advanced

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages